-- ############# General Information ###################
-- ---------
--0 xyz = {}
--1 function alpha()
--2    dostuff with xyz
--3 end
--4
--5 hello = {}
--6 function hello.bravo()
--7   dostuff
--8 end
-- ---------
--
-- The parser will parse each function as well as all text, which
-- comes directly before this function.
-- So for function bravo, the parser will use lines 4 to 8. Line 0 will be ignored.
-- The parser will ignore all comments.

-- ############# General Functions #####################

-- Get Resource
if not peakboard then
    peakboard = {}
end
function peakboard.getresource(path)
	return peakboard.getResource(path)
end

if not peakboard then
    peakboard = {}
end
function peakboard.getResource(path)
	return "ts-pbmxdata://resources/" .. path
end

-- ############# Control Functions #####################

--Toogle the visibility of an element
-- Do not use "if not control then.." at this point. It will crash the
-- script evaluator
control = {}
function control.toggle(control)
	if control.Visibility == Visibility.Collapsed then
	   control.Visibility = Visibility.Visible
	else
		control.Visibility = Visibility.Collapsed
	end
end